EditMenu/urls.py
from django.urls import include, path
from . import views

app_name = 'edit'

urlpatterns = [
    path('', views.edit, name='edit'),
    path('edit_post', views.edit_post, name='edit_post'),
    path('delete/<int:delete_id>', views.delete, name='delete'),
]

Kantin/urls.py
from django.urls import path
from . import views

app_name = 'pesan'

urlpatterns = [
    path('', views.pesan, name='pesan'),
    path('pesan_post', views.pesan_post, name='pesan_post')
]

LoginPenjual/urls.py
from django.urls import path
from . import views

app_name = 'login'

urlpatterns = [
    path('', views.login_penjual, name='login'),
    path('login_post', views.login_post, name='login_post'),
]

alakadar/urls.py
from django.contrib import admin
from django.urls import path, include
from helloworld import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.index, name="index"),
    path('edit/', include('EditMenu.urls',namespace='EditMenu')),
    path('login/', include('LoginPenjual.urls',namespace='login')),
    path('pesan/', include('Kantin.urls',namespace='pesan')),
    path('feedback/', include('kritikSaran.urls',namespace='kritikSaran'))
]

kritikSaran/urls.py
from django.urls import path
from . import views
from . import models

app_name = 'kritikSaran'

urlpatterns = [
    path('', views.schedule, name='schedule'),
    path('createsched/', views.createsched, name='createsched'),
    path('schedule/delete', views.schedule_delete, name='schedule_delete'),
]

EditMenu/models.py
from django.db import models

# Create your models here.

class Menu(models.Model):
    nama_toko = models.ForeignKey('LoginPenjual.Toko', on_delete=models.SET_NULL, null=True)
    nama_menu = models.CharField(max_length=100)
    harga = models.PositiveIntegerField(default=0)

    def __str__(self):
        return self.nama_menu

Kantin/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date
from LoginPenjual.models import Toko
from EditMenu.models import Menu

class Pesan(models.Model):
    toko = models.ForeignKey('LoginPenjual.Toko', on_delete=models.SET_NULL, null=True)
    menu = models.ForeignKey('EditMenu.Menu', on_delete=models.SET_NULL, null=True)
    kuantitas = models.PositiveIntegerField(default=0)

LoginPenjual/models.py
from django.db import models

# Create your models here.
class Toko(models.Model):
    nama_penjual = models.CharField(max_length=100)
    nama_toko = models.CharField(max_length=100)

    def __str__(self):
        return self.nama_toko

helloworld/models.py
from django.db import models

# Create your models here.

kritikSaran/models.py
from django.db import models
from datetime import datetime

# Create your models here.


class Schedule(models.Model):

    kritik = models.CharField(max_length=30)
    saran = models.CharField(max_length=30)
   

    def __str__(self):
        return self.activity

EditMenu/forms.py
from django import forms
from .models import Menu

class edit_menu(forms.ModelForm):
    class Meta:
        model = Menu
        fields = '__all__'

Kantin/forms.py
from django import forms
from .models import Pesan

class pesan_form(forms.ModelForm):
    class Meta:
        model = Pesan
        fields = '__all__'

LoginPenjual/forms.py
from django import forms
from .models import Toko

class login_form(forms.ModelForm):
    class Meta:
        model = Toko
        fields = '__all__'

kritikSaran/forms.py
from django import forms
from .models import Schedule


class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = ['kritik','saran']
        

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        for field in self.Meta.fields:
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })

EditMenu/views.py
from django.shortcuts import render, redirect
from .models import Menu
from .forms import edit_menu

# Create your views here.
def edit(request):
    edit = Menu.objects.all().values()

    response = {
        'form' : edit_menu,
        'edit' : edit
    }

    return render(request, 'EditMenu.html', response)


def edit_post(request):
    form = edit_menu(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        form.save()
        return redirect('edit:edit')
    
    else:
        return redirect('edit:edit')

def delete(request, delete_id):
    Menu.objects.filter(id=delete_id).delete()
    return redirect('edit:edit')

Kantin/views.py
from django.shortcuts import render, redirect
from .models import Pesan
from .forms import pesan_form

# Create your views here.
def pesan(request):
    pesan = Pesan.objects.all().values()

    response = {
        'form' : pesan_form,
        'pesan' : pesan
    }

    return render(request, 'canteen.html', response)

def pesan_post(request):
    form = pesan_form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        form.save()
        return redirect('pesan:pesan')
    
    else:
        return redirect('pesan:pesan')

LoginPenjual/views.py
from django.shortcuts import render, redirect
from .models import Toko
from .forms import login_form

# Create your views here.
def login_penjual(request):
    login = Toko.objects.all().values()

    response = {
        'form' : login_form,
        'login' : login
    }

    return render(request, 'LOGIN.html', response)

def login_post(request):
    form = login_form(request.POST or None)
    if(request.method == 'POST' and form.is_valid()):
        form.save()
        return redirect('login:login')
    
    else:
        return redirect('login:login')

helloworld/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect

def index(request):
    return HttpResponseRedirect('/login')

kritikSaran/views.py
from django.shortcuts import render,redirect
from .models import Schedule
from . import forms

# Create your views here.
def schedule(request):
    schedules = Schedule.objects.all()
    return render(request, 'schedule.html', {'schedules': schedules})

def createsched(request):
    if request.method == 'POST':
        form = forms.ScheduleForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('kritikSaran:schedule')

    else:
        form = forms.ScheduleForm()
    return render(request, 'createsched.html', {'form': form})

def schedule_delete(request):
	Schedule.objects.all().delete()
	return render(request, "schedule.html")

EditMenu/templates/EditMenu.html
<!DOCTYPE html>
{% load static %}
{% block tittle %} Hasil| Aisyah Amyra Izra{% endblock %}
{% block nav_item %}
{% endblock %}
{% block content %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
	<script type="text/javascript" src="{% static 'js/bootstrap.js' %}"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="/static/css/cssbilla.css">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <title>AlaKadar | Edit Menu</title>
</head>


<body>
   <!-- Navigation Bar -->
   <nav class="navbar navbar-expand-sm  sticky-top">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/login">Logout</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href="/feedback">Feedback</a>
            </ul>
            </nav>
        
            <div class="css">   
                <div class="row">
                    <div class="col-11">
                    <h1 class="judul-editmenu">EDIT MENU</h1>
                    </div>
                    <div class="col-1">
                    <img class="logo" src="/static/logo.png"> 
                    </div>
                </div>
                
                <div class="row">
                    <form class="css1" method="POST">
                         {% csrf_token %}
                        <div class="form-row">
                            <div class="col-sm-1"> </div>
                            <div class="form-group col-sm-10">
                                {% for fields in form %}
                                    {{ fields.label_tag }}
                                    <br>
                                    {{ fields }}
                                {% endfor %}
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-sm-1"></div>
                             <input type="submit" class="btn btn-primary float-right" value="Tambahkan">
                             <a href='/login' class="button-kembali">kembali </a>
                    </form>
                </div>
        </div> 
    

            
    
    
    <script src="/static/js/bootstrap.js"></script> 
    <script src="/static/css/bootstrap.css"></script>
</body>
</html>
{% endblock %}

Kantin/templates/canteen.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/bootstrap.js"></script>
    <link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
crossorigin="anonymous">
    <link rel="stylesheet" href="/static/css/style.css">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap"
rel="stylesheet">
    <title>AlaKadar | Kantin</title>
</head>


<body>
   <!-- Navigation Bar -->
   <nav class="navbar navbar-expand-sm  sticky-top">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href='/login'>Logout</a>
                </li>
                <li class="nav-item" >
                    <a class="nav-link" href='/feedback'>feedback</a>
                </li>
            </ul>
            </nav>
            
            <div class="row">
                    <div class="col-11">
                        <h1 class="judul-canteen">KANTIN</h1>
                    </div>
                    <div class="col-1">
                        <div class="logo">
                        <img class="logo" src="/static/logo.png"> 
                         </div>
                     </div>
            </div>

            <div class="row">
                   
                <div class="col-2">
                           
                    <div class=" square"></div>
                    <div class=" square2"></div>
                               
                            
                </div>
                <div class="col-2">
                           
                    <div class=" square"></div>
                    <div class=" square2"></div>
                               
                            
                </div>
                <div class="col-2">
                           
                    <div class=" square"></div>
                    <div class=" square2"></div>
                               
                            
                </div>
                <div class="col-2">
                           
                    <div class=" square"></div>
                    <div class=" square2"></div>
                               
                            
                </div>
                <div class="col-2">
                           
                    <div class=" square"></div>
                    <div class=" square2"></div>

                               
                            
                </div>



                
                            
        </div>

         <form action="pesan_post" method="POST">
        {% csrf_token %}
        <table>
            {{form.as_table}}
        </table>
        <button type="submit" value="Submit" class="btn btn-primary" style="margin-top: 10px">Submit</button>
        </form>





    <script src="js/bootstrap.js"></script>
    <script src="css/bootstrap.css"></script>
</body>
</html>

Kantin/templates/form.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
    </head>
    <body>
        <form action="pesan_post" method="POST">
        {% csrf_token %}
        <table>
            {{form.as_table}}
        </table>
        <button type="submit" value="Submit" class="btn btn-primary" style="margin-top: 10px">Submit</button>
        </form>
        <table class="table">
                                    <thead>
                                    <th scope="col">#</th>
                                    <th scope="col">Toko</th>
                                    <th scope="col">Menu</th>
                                    <th scope="col">Kuantitas</th>
                                    </thead>
                                    <tbody>
                                       {% for p in pesan %}
                                       <tr>
                                          <th scope="row">{{forloop.counter}}</th>
                                          <td>{{p.toko}}</td>
                                          <td>{{p.menu}}</td>
                                          <td>{{p.kuantitas}}</td>
                                       {% endfor %}
                                       </tr>
                                    </tbody>
                                 </table>
    </body>
</html>

LoginPenjual/templates/LOGIN.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link href="https://fonts.googleapis.com/css?family=Raleway&display=swap" rel="stylesheet">
        <title>AlaKadar | Login</title>
        <link rel= "StyleSheet" href= "https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <link href="https://fonts.googleapis.com/css?family=Oswald&display=swap" rel="stylesheet">
        <link rel= "StyleSheet" href= "/static/css/Style2.css">
    </head>
    <body class="body-HomePage">
        <div class = "container">
            <div class="row">
                <div class= "col-lg-6">
                    <img src="/static/Grouppage.png" alt="picture" width="600em" height="820em" class="bgimage">
                </div>

                <div class="col-lg-5">
                        <h1 class="login">DATA PENJUAL</h1>
                        <form action="login_post" method="POST">
                            {% csrf_token %}
                                <table>
                                    {{form.as_table}}
                                </table>
                            <button type="submit" value="Submit" class="btn btn-primary" style="margin-top: 10px">Submit</button>
                        </form>
                </div>
                
                <div class="col-lg-1">
                    <img class="logo" src="/static/logo.png"> 
                    <a href='/edit' class="button-kembali">Edit Menu </a>
                    <a href='/pesan' class="button-kembali">Pesan</a>
                </div>
        </div>

        </div>
    </body>
</html>

LoginPenjual/templates/form.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
    </head>
    <body>
        <form action="login_post" method="POST">
        {% csrf_token %}
        <table>
            {{form.as_table}}
        </table>
        <button type="submit" value="Submit" class="btn btn-primary" style="margin-top: 10px">Submit</button>
        </form>
    </body>
</html>

kritikSaran/templates/createsched.html
<!DOCTYPE html>
{% load static %}
{% block content %} 
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Schedule</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="/static/hei.css" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
        <nav class="navbar navbar-expand-sm  sticky-top">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/login">Logout</a>
                    </li>
                    <li class="nav-item" >
                        <a class="nav-link" href="{% url 'kritikSaran:schedule' %}">Feedback</a>
                </ul>
                </nav>                            
                              <div class="css">   
                                    <h1 class="judulcreate">Kritik dan Saran</h1>
                                <form class="css1" method="POST">
                                    {% csrf_token %}
                                    <div class="form-row">
                                        <div class="col-sm-1"></div>
                                        <div class="form-group col-sm-10">
                                            {% for fields in form %}
                                                {{ fields.label_tag }}
                                                <br>
                                                {{ fields }}
                                            {% endfor %}
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1"></div>
                                        <input type="submit" class="btn btn-primary float-right" value="Add"> 
                                </form>
                            </div> 
                                                    
    
    

              <script src="/static/js/bootstrap.js"></script> 
              <script src="/static/css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
 {% endblock %}

   

kritikSaran/templates/schedule.html
<!DOCTYPE html>
{% load static %}
{% block content %} 

<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Schedule</title>
    <script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Anton|Fjalla+One|Oswald&display=swap" rel="stylesheet">
    <link href="/static/hei.css" rel="stylesheet" type="text/css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>

<body>
        <nav class="navbar navbar-expand-sm  sticky-top">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/login">Logout</a>
                    </li>
                    <li class="nav-item" >
                        <a class="nav-link" href="{% url 'kritikSaran:schedule' %}">Feedback</a>
                </ul>
                </nav>
                
                        <div class="row backgroundimg-sched"> 
                                <h1 class= "judsched">Kritik dan Saran</h1>
                                <a href="{% url 'kritikSaran:schedule' %}">
                                        <img src="/static/logo.png" alt="HTML tutorial">
                                </a>
                        </div>
                                <div class="article">
                                    <a href="{% url 'kritikSaran:schedule' %}"></a>
                                    <div class="article">
                                        <div class="row table1">
                                            {% for schedule in schedules %}
                                                <div class="table col-sm-4 text-center">
                                                    <p>{{ schedule.kritik }}</p>
                                                    <p>{{ schedule.saran }}</p>
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                </div>
                                <div class = 'col-md-12  d-flex justify-content-center align-items-center'>
                                    <div class = 'form-group'>
                                        <a href="{% url 'kritikSaran:createsched' %}"><button type="button" class= "btn btn-secondary btn-lg btn-md">Create</button></a>
                                        <a href="{% url 'kritikSaran:schedule_delete' %}"><button type="button-clear" class= "btn btn-secondary btn-lg btn-md">Clear</button></a>
                                </div>
                            </div>
                       
                            
                            

            
       
        
            
              <script src="/static/js/bootstrap.js"></script> 
              <script src="/static/css/bootstrap.css"></script>
              <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
</body>
</html>
 {% endblock %}